#!/usr/local/bin/perl -w

use strict;
my %cmd = ('sum' => \&sum, 'quit' => \&quit);
while (print(": "), defined(my $line = <STDIN>)) {
   my ($cmdname, @fields) = split /\s+/, $line;
   next unless defined $cmdname;
   if (defined $cmd{$cmdname}) {
      &{$cmd{$cmdname}}(@fields);
   } else {
      print "Unknown command!\n";
   }
}

sub sum {
   my $sum = 0; foreach my $val (@_) { $sum += $val };
   print $sum, "\n";
}

sub quit { exit 0 }
