#!/usr/local/bin/perl -w

use strict;
use IO::File;
my $addressbook = "addressbook";
my $book = new IO::File $addressbook or
   die "Cannot open $addressbook\n";
my @addresses = ();
my ($name, $address, $lastname);
while (<$book>) {
   chomp;
   ($name, $address) = split /:/;
   ($lastname = $name) =~ s/.*\s//;
   push(@addresses, [$lastname, $name, $address]);
}
$book->close;

foreach my $adr 
   (sort { $a->[0] cmp $b->[0] } @addresses) {
      ($lastname, $name, $address) = @{$adr};
      printf "%-25s | %s\n", $name, $address;
}
